Delete a login identifier for a user
curl --request DELETE \
--url https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Identifiers
Delete a login identifier for a user
Delete an existing login identifier for a user by given userID and identifierID.
DELETE
/
users
/
{userID}
/
identifiers
/
{identifierID}
Delete a login identifier for a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Unique identifier of the login identifier (e.g., email address or phone number). Format: ide-<number>.
Example:
"ide-4693224802260150919"
Response
Operation succeeded.
Was this page helpful?